:root {
  --paper: #fff;
  --ink-100: #333;
  --ink-200: #666;
}

* {
  margin: 0;
}

html {
  background-color: white;
  color: var(--ink-200);
  font-size: 10px;
}

body {
  font-family: Georgia, serif;
}

a {
  color: inherit;
  text-decoration: none;
}


h1 {
  font-weight: bold;
  font-size: 1.6rem;
  line-height: 1;
  color: var(--ink-100);
}

h2,
h3 {
  font-weight: bold;
  font-size: 1.6rem;
  line-height: 1;
  color: var(--ink-100);
  text-transform: uppercase;
  letter-spacing: 2px;
}

.page {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: start;
  overflow-x: hidden;
}

header {
  width: 200px;
  position: sticky;
  left: 0;
  padding: 20px;
  background-color: #fff;
  z-index: 10;

  p {
    padding: 1rem 0;
    font-style: italic;
    font-size: 1.2rem;
  }
}

nav {
  max-height: calc(100vh - 150px);
  overflow-y: auto;
}

nav ul {
  font-size: 1.2rem;
  font-family: "Helvetica Neue", Helvetica, sans-serif;
  font-weight: bold;
  list-style: none;
  padding: 1em 0;
}

nav a {
  display: block;
  text-wrap: balance;
  line-height: 1.1;
  padding: 0.2rem 0 0.4rem;
  border-top: 1px solid #ccc;

  &:hover {
    color: var(--ink-100);
  }
}

main {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  padding: 20px;
  margin-left: -20px;
  overflow-x: scroll;
  min-height: calc(100vh - 60px);
}

.intro {
  flex-basis: 300px;
  min-width: 300px;
  margin-top: 11rem;

  a {
    border-bottom: 1px dotted;
  }

  a:hover {
    border-bottom: 1px solid;
  }

  p {
    padding: 1em 0;
    font-size: 1.4rem;
    line-height: 1.4;
  }
}

.media {
  display: flex;
  gap: 20px;
}

.media img {
  max-height: calc(100vh - 80px);
  width: auto;
}

.media figcaption {
  width: 280px;
  margin-top: 1.2rem;
}

.media figcaption p {
  padding: 0;
  font-size: 1.4rem;
  line-height: 1.4;
}

.image-toggle {
  position: relative;
  cursor: zoom-in;

  &.is-revealed {
    cursor: zoom-out;
  }
}

.reveal {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.5s;
}

.is-revealed>.reveal {
  opacity: 1;
}
